Bug 803551 - [abrt] gwibber-3.1.0-4.fc16: client.py:254:setup_ui:KeyError: 'stream'
[abrt] gwibber-3.1.0-4.fc16: client.py:254:setup_ui:KeyError: 'stream'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:dc8f6023b63240cef6b56a011df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 21:57 EDT by Alejandro_Perez
Modified: 2013-02-13 18:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:12:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alejandro_Perez 2012-03-14 21:57:59 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/gwibber
comment:        Open gwibber 
executable:     /usr/bin/gwibber
kernel:         3.2.7-1.fc16.x86_64
reason:         client.py:254:setup_ui:KeyError: 'stream'
time:           Mon 05 Mar 2012 10:55:07 AM EST
uid:            1001
username:       alejandro

backtrace:
:client.py:254:setup_ui:KeyError: 'stream'
:
:Traceback (most recent call last):
:  File "/usr/bin/gwibber", line 87, in <module>
:    client.Client()
:  File "/usr/lib/python2.7/site-packages/gwibber/client.py", line 625, in __init__
:    self.w = GwibberClient()
:  File "/usr/lib/python2.7/site-packages/gwibber/client.py", line 71, in __init__
:    self.setup_ui()
:  File "/usr/lib/python2.7/site-packages/gwibber/client.py", line 254, in setup_ui
:    if stream["stream"]:
:KeyError: 'stream'
:
:Local variables in innermost frame:
:view_class: <class 'gwibber.gwui.SingleStreamUi'>
:stream: {}
:on_tray_menu_popup: <function on_tray_menu_popup at 0x1d54050>
:self: <GwibberClient object at 0x1d36460 (GtkWindow at 0x18b4ae0)>
:content: <gtk.VBox object at 0x1ec2e10 (GtkVBox at 0x202c0b0)>
:s: {}
:streams: [{}]
:menu_spin: <gtk.ImageMenuItem object at 0x1d50820 (GtkImageMenuItem at 0x18b15c0)>
:layout: <gtk.VBox object at 0x1ec9460 (GtkVBox at 0x202c140)>
:menu_ui: <gtk.UIManager object at 0x1d50730 (GtkUIManager at 0x1e418a0)>
:menubar: <gtk.MenuBar object at 0x1d50870 (GtkMenuBar at 0x14efcf0)>

smolt_data:
:
:
:General
:=================================
:UUID: 64cfcda3-ba84-40e1-b18e-0b2426293058
:OS: Fedora release 16 (Verne)
:Default run level: 5
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5054.72
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 460  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 7779
:System Swap: 3743
:Vendor: Hewlett-Packard
:System: HP ProBook 6550b 
:Form factor: Notebook
:Kernel: 3.2.9-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(4480:59474:4156:5229) pci, None, BASE, N/A
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4156:5229) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15151:4156:5229) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4156:5229) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(4480:59442:4156:5229) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:15154:4156:5229) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(4480:57904:4156:5229) pci, None, BASE, Memory Stick Host Controller
:(4480:59426:4156:5229) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:4331:4156:5233) pci, e1000e, ETHERNET, 82577LC Gigabit Network Connection
:(32902:15174:4156:5229) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:9288:4156:5229) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:4156:5229) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4156:5229) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4156:5229) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:4156:5229) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:4156:5229) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:4156:5229) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4156:5229) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4156:5229) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-06e62893-bc34-4897-8bb8-c514bd0eb6cd / ext4 4096 4096 72431789 11832336 8206583 18128896 15427129 15427129
:/dev/sda5 /boot ext4 1024 1024 508745 395358 369758 128016 127918 127918
:
Comment 1 Alejandro_Perez 2012-04-26 11:22:20 EDT
Just started gwibber on the promt

Package: gwibber-3.1.0-4.fc16
OS Release: Fedora release 16 (Verne)
Comment 2 Fedora End Of Life 2013-01-16 14:18:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 18:12:42 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.